module Main where

import ISTEX
import ISTEX.Client
import System.Exit

main :: IO ()
main = do
  res <- getMetadataWith "artificial intelligence" (Just 10)
  case res of
    (Left err) -> do
      print $ "Error: " <> show err
      exitWith $ ExitFailure 1
    (Right val) -> do
      print $ take 5 $ _documents_hits val
       -- print $ _abstract <$> (_hits val)
